#*****************************************************************************
#                                                                            *
# Make file for VMS                                                          *
# Author : J.Jansen (joukj@hrem.nano.tudelft.nl)                             *
# Date : 21 October 2008                                                     *
#                                                                            *
#*****************************************************************************

CFLAGS=/name=(as_is,short)/float=ieee/include=[]

OBJS=		Storage.obj,Access.obj,Except.obj,\
		Antialias.obj,\
		Bands.obj,Blend.obj,\
		Chops.obj,Convert.obj,ConvertYCbCr.obj,Copy.obj,Crop.obj,Crc32.obj,\
		Dib.obj,Draw.obj,\
		Effects.obj,\
		File.obj,Fill.obj,Filter.obj,\
		Geometry.obj,GetBBox.obj,\
		Histo.obj,\
		Matrix.obj,Negative.obj,\
		Offset.obj,\
		Pack.obj,Palette.obj,Paste.obj,Point.obj,\
                Quant.obj,QuantHash.obj,QuantHeap.obj,\
		Unpack.obj,\
		UnpackYCC.obj,\
		BitDecode.obj,\
		EpsEncode.obj,\
		FliDecode.obj,\
		GifDecode.obj,GifEncode.obj,\
		HexDecode.obj,ModeFilter.obj,\
		JpegDecode.obj,JpegEncode.obj,\
		LzwDecode.obj,\
		MspDecode.obj,\
		PackDecode.obj,\
		PcdDecode.obj,\
		PcxDecode.obj,PcxEncode.obj,\
		RankFilter.obj,\
		RawDecode.obj,RawEncode.obj,\
		SunRleDecode.obj,\
		TgaRleDecode.obj,\
		XbmDecode.obj,XbmEncode.obj,\
		ZipDecode.obj,ZipEncode.obj

LIB=libImaging.olb

all : $(LIB)
	write sys$output "All done"

$(LIB) : imconfig.h $(OBJS)
	lib/crea $(LIB) $(OBJS)

imconfig.h : imconfig.h_vms
	copy imconfig.h_vms imconfig.h

clean :
	del *.obj;*,*.olb;*,*.exe;*

Storage.obj : Storage.c
Access.obj : Access.c
Except.obj : Except.c
Antialias.obj : Antialias.c
Bands.obj : Bands.c
Blend.obj : Blend.c
Chops.obj : Chops.c
Convert.obj : Convert.c
ConvertYCbCr.obj : ConvertYCbCr.c
Copy.obj : Copy.c
Crop.obj : Crop.c
Crc32.obj : Crc32.c
Dib.obj : Dib.c
Draw.obj : Draw.c
Effects.obj : Effects.c
File.obj : File.c
Fill.obj : Fill.c
Filter.obj : Filter.c
Geometry.obj : Geometry.c
GetBBox.obj : GetBBox.c
Histo.obj : Histo.c
Matrix.obj : Matrix.c
Negative.obj : Negative.c
Offset.obj : Offset.c
Pack.obj : Pack.c
Palette.obj : Palette.c
Paste.obj : Paste.c
Point.obj : Point.c
Quant.obj : Quant.c
QuantHash.obj : QuantHash.c
QuantHeap.obj : QuantHeap.c
Unpack.obj : Unpack.c
UnpackYCC.obj : UnpackYCC.c
BitDecode.obj : BitDecode.c
EpsEncode.obj : EpsEncode.c
FliDecode.obj : FliDecode.c
GifDecode.obj : GifDecode.c
GifEncode.obj : GifEncode.c
HexDecode.obj : HexDecode.c
ModeFilter.obj : ModeFilter.c
JpegDecode.obj : JpegDecode.c
JpegEncode.obj : JpegEncode.c
LzwDecode.obj : LzwDecode.c
MspDecode.obj : MspDecode.c
PackDecode.obj : PackDecode.c
PcdDecode.obj : PcdDecode.c
PcxDecode.obj : PcxDecode.c
PcxEncode.obj : PcxEncode.c
RankFilter.obj : RankFilter.c
RawDecode.obj : RawDecode.c
RawEncode.obj : RawEncode.c
SunRleDecode.obj : SunRleDecode.c
TgaRleDecode.obj : TgaRleDecode.c
XbmDecode.obj : XbmDecode.c
XbmEncode.obj : XbmEncode.c
ZipDecode.obj : ZipDecode.c
ZipEncode.obj : ZipEncode.c
